CO_trace_dataType_t Struct Reference
CANopen_extra » Trace

structure for reading variables and printing points for specific data type. More...

`#include <CO_trace.h>`

## Data Fields

int32_t(* | pGetValue )(void *OD_variable)
| Function pointer for getting the value from OD variable.
uint32_t(* | printPointStart )(char *s, uint32_t size, uint32_t timeStamp, int32_t value)
| Function pointer for printing the start point to trace.plot.
uint32_t(* | printPoint )(char *s, uint32_t size, uint32_t timeStamp, int32_t value)
| Function pointer for printing the point to trace.plot.
uint32_t(* | printPointEnd )(char *s, uint32_t size, uint32_t timeStamp, int32_t value)
| Function pointer for printing the end point to trace.plot.

## Detailed Description

structure for reading variables and printing points for specific data type.

The documentation for this struct was generated from the following file:

- extra/CO_trace.h